## prerex 6.5.3

=== vprerex-6.4.2/Makefile ===
#############################################################################
# Makefile for building: vprerex
# Generated by qmake (2.01a) (Qt 4.6.2) on: Wed May 30 10:35:45 2012
# Project:  vprerex.pro
# Template: app
# Command: /usr/bin/qmake-qt4 -unix -o Makefile vprerex.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DQT_NO_DEBUG -DQT_GUI_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fstack-protector --param=ssp-buffer-size=4 -m32 -march=i686 -mtune=atom -fasynchronous-unwind-tables -Wall -W -D_REENTRANT $(DEFINES)
CXXFLAGS      = -pipe -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fstack-protector --param=ssp-buffer-size=4 -m32 -march=i686 -mtune=atom -fasynchronous-unwind-tables -Wall -W -D_REENTRANT $(DEFINES)
INCPATH       = -I/usr/lib/qt4/mkspecs/linux-g++ -I. -I/usr/include/QtCore -I/usr/include/QtGui -I/usr/include -I/usr/include/poppler/qt4 -I. -I.
LINK          = g++
LFLAGS        = -Wl,-O1
LIBS          = $(SUBLIBS)   -L/usr/lib -lpoppler-qt4 -lQtGui -lQtCore -lpthread 
AR            = ar cqs
RANLIB        = 
QMAKE         = /usr/bin/qmake-qt4
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
STRIP         = 
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = ./

####### Files

SOURCES       = documentwidget.cpp \
		main.cpp \
		window.cpp moc_documentwidget.cpp \
		moc_window.cpp
OBJECTS       = documentwidget.o \
		main.o \
		window.o \
		moc_documentwidget.o \
		moc_window.o
DIST          = /usr/lib/qt4/mkspecs/common/g++-multilib.conf \
		/usr/lib/qt4/mkspecs/common/unix.conf \
		/usr/lib/qt4/mkspecs/common/linux.conf \
		/usr/lib/qt4/mkspecs/qconfig.pri \
		/usr/lib/qt4/mkspecs/features/qt_functions.prf \
		/usr/lib/qt4/mkspecs/features/qt_config.prf \
		/usr/lib/qt4/mkspecs/features/exclusive_builds.prf \
		/usr/lib/qt4/mkspecs/features/default_pre.prf \
		/usr/lib/qt4/mkspecs/features/release.prf \
		/usr/lib/qt4/mkspecs/features/default_post.prf \
		/usr/lib/qt4/mkspecs/features/warn_on.prf \
		/usr/lib/qt4/mkspecs/features/qt.prf \
		/usr/lib/qt4/mkspecs/features/unix/thread.prf \
		/usr/lib/qt4/mkspecs/features/moc.prf \
		/usr/lib/qt4/mkspecs/features/resources.prf \
		/usr/lib/qt4/mkspecs/features/uic.prf \
		/usr/lib/qt4/mkspecs/features/yacc.prf \
		/usr/lib/qt4/mkspecs/features/lex.prf \
		/usr/lib/qt4/mkspecs/features/include_source_dir.prf \
		vprerex.pro
QMAKE_TARGET  = vprerex
DESTDIR       = 
TARGET        = vprerex

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile $(TARGET)

$(TARGET): ui_window.h $(OBJECTS)  
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJCOMP) $(LIBS)

Makefile: vprerex.pro  /usr/lib/qt4/mkspecs/linux-g++/qmake.conf /usr/lib/qt4/mkspecs/common/g++-multilib.conf \
		/usr/lib/qt4/mkspecs/common/unix.conf \
		/usr/lib/qt4/mkspecs/common/linux.conf \
		/usr/lib/qt4/mkspecs/qconfig.pri \
		/usr/lib/qt4/mkspecs/features/qt_functions.prf \
		/usr/lib/qt4/mkspecs/features/qt_config.prf \
		/usr/lib/qt4/mkspecs/features/exclusive_builds.prf \
		/usr/lib/qt4/mkspecs/features/default_pre.prf \
		/usr/lib/qt4/mkspecs/features/release.prf \
		/usr/lib/qt4/mkspecs/features/default_post.prf \
		/usr/lib/qt4/mkspecs/features/warn_on.prf \
		/usr/lib/qt4/mkspecs/features/qt.prf \
		/usr/lib/qt4/mkspecs/features/unix/thread.prf \
		/usr/lib/qt4/mkspecs/features/moc.prf \
		/usr/lib/qt4/mkspecs/features/resources.prf \
		/usr/lib/qt4/mkspecs/features/uic.prf \
		/usr/lib/qt4/mkspecs/features/yacc.prf \
		/usr/lib/qt4/mkspecs/features/lex.prf \
		/usr/lib/qt4/mkspecs/features/include_source_dir.prf \
		/usr/lib/libQtGui.prl \
		/usr/lib/libQtCore.prl
	$(QMAKE) -unix -o Makefile vprerex.pro
/usr/lib/qt4/mkspecs/common/g++-multilib.conf:
/usr/lib/qt4/mkspecs/common/unix.conf:
/usr/lib/qt4/mkspecs/common/linux.conf:
/usr/lib/qt4/mkspecs/qconfig.pri:
/usr/lib/qt4/mkspecs/features/qt_functions.prf:
/usr/lib/qt4/mkspecs/features/qt_config.prf:
/usr/lib/qt4/mkspecs/features/exclusive_builds.prf:
/usr/lib/qt4/mkspecs/features/default_pre.prf:
/usr/lib/qt4/mkspecs/features/release.prf:
/usr/lib/qt4/mkspecs/features/default_post.prf:
/usr/lib/qt4/mkspecs/features/warn_on.prf:
/usr/lib/qt4/mkspecs/features/qt.prf:
/usr/lib/qt4/mkspecs/features/unix/thread.prf:
/usr/lib/qt4/mkspecs/features/moc.prf:
/usr/lib/qt4/mkspecs/features/resources.prf:
/usr/lib/qt4/mkspecs/features/uic.prf:
/usr/lib/qt4/mkspecs/features/yacc.prf:
/usr/lib/qt4/mkspecs/features/lex.prf:
/usr/lib/qt4/mkspecs/features/include_source_dir.prf:
/usr/lib/libQtGui.prl:
/usr/lib/libQtCore.prl:
qmake:  FORCE
	@$(QMAKE) -unix -o Makefile vprerex.pro

dist: 
	@$(CHK_DIR_EXISTS) .tmp/vprerex1.0.0 || $(MKDIR) .tmp/vprerex1.0.0 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) .tmp/vprerex1.0.0/ && $(COPY_FILE) --parents documentwidget.h window.h .tmp/vprerex1.0.0/ && $(COPY_FILE) --parents documentwidget.cpp main.cpp window.cpp .tmp/vprerex1.0.0/ && $(COPY_FILE) --parents window.ui .tmp/vprerex1.0.0/ && (cd `dirname .tmp/vprerex1.0.0` && $(TAR) vprerex1.0.0.tar vprerex1.0.0 && $(COMPRESS) vprerex1.0.0.tar) && $(MOVE) `dirname .tmp/vprerex1.0.0`/vprerex1.0.0.tar.gz . && $(DEL_FILE) -r .tmp/vprerex1.0.0


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) Makefile


mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all: moc_documentwidget.cpp moc_window.cpp
compiler_moc_header_clean:
	-$(DEL_FILE) moc_documentwidget.cpp moc_window.cpp
moc_documentwidget.cpp: documentwidget.h
	/usr/lib/qt4/bin/moc $(DEFINES) $(INCPATH) documentwidget.h -o moc_documentwidget.cpp

moc_window.cpp: documentwidget.h \
		ui_window.h \
		window.h
	/usr/lib/qt4/bin/moc $(DEFINES) $(INCPATH) window.h -o moc_window.cpp

compiler_rcc_make_all:
compiler_rcc_clean:
compiler_image_collection_make_all: qmake_image_collection.cpp
compiler_image_collection_clean:
	-$(DEL_FILE) qmake_image_collection.cpp
compiler_moc_source_make_all:
compiler_moc_source_clean:
compiler_uic_make_all: ui_window.h
compiler_uic_clean:
	-$(DEL_FILE) ui_window.h
ui_window.h: window.ui
	/usr/lib/qt4/bin/uic window.ui -o ui_window.h

compiler_yacc_decl_make_all:
compiler_yacc_decl_clean:
compiler_yacc_impl_make_all:
compiler_yacc_impl_clean:
compiler_lex_make_all:
compiler_lex_clean:
compiler_clean: compiler_moc_header_clean compiler_uic_clean 

####### Compile

documentwidget.o: documentwidget.cpp documentwidget.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o documentwidget.o documentwidget.cpp

main.o: main.cpp window.h \
		documentwidget.h \
		ui_window.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o main.o main.cpp

window.o: window.cpp window.h \
		documentwidget.h \
		ui_window.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o window.o window.cpp

moc_documentwidget.o: moc_documentwidget.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_documentwidget.o moc_documentwidget.cpp

moc_window.o: moc_window.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_window.o moc_window.cpp

####### Install

install:   FORCE

uninstall:   FORCE

FORCE:

## prerex 6.2

=== debian/changelog ===
prerex (6.2-1) unstable; urgency=low

  * Initial release (Closes: #646959)

 -- Ryan Kavanagh <ryanakca@kubuntu.org>  Wed, 14 Sep 2011 08:33:30 -0400

=== debian/control ===
Source: prerex
Section: tex
Priority: optional
Maintainer: Ryan Kavanagh <ryanakca@kubuntu.org>
Build-Depends: debhelper (>= 8.0.0),
 libpoppler-qt4-dev,
 libncurses-dev,
 libreadline-dev
Standards-Version: 3.9.2
Homepage: http://www.ctan.org/tex-archive/graphics/prerex
Vcs-Git: git://git.debian.org/collab-maint/prerex.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/prerex.git;a=summary

Package: prerex
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
 texlive-pictures,
 texlive-generic-recommended,
 texlive-latex-base
Recommends: vprerex
Description: course prerequisite chart editor for LaTeX/TikZ
 prerex is an editor for creating esthetically pleasing course prerequisite
 charts using the TikZ LaTeX package.
 .
 The editor supports add, remove, cut-and-paste, and edit operations on
 diagram elements, and shifts of a list of specified elements or the
 entire diagram. The edited diagram may be saved, re-processed, and viewed in
 a PDF viewer, without exiting the editor.
 .
 Course prerequisite charts allow students to easily determine which
 prerequisites, corequisites and recommended prerequisites they need for a
 given course and their time slots. Course prerequisite charts also highlight
 the courses required by a degree.
 .
 prerex is used by departments in several universities, including Queen's
 University and Suffolk University.

Package: vprerex
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
 prerex
Description: Qt interface to prerex, a course prerequisite chart editor
 vprerex provides a Qt interface to prerex by integrating the prerex editor
 with a PDF viewer. This allows conveying coordinates of course boxes and
 arrows back to prerex through the use of the clipboard.
 .
 prerex is an editor for creating esthetically pleasing course prerequisite
 charts using the TikZ LaTeX package.
 .
 Course prerequisite charts allow students to easily determine which
 prerequisites, corequisites and recommended prerequisites they need for a
 given course and their time slots. Course prerequisite charts also highlight
 the courses required by a degree.
 .
 prerex is used by departments in several universities, including Queen's
 University and Suffolk University.

=== debian/rules ===
#!/usr/bin/make -f
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS

VPREREX=$(shell find . -maxdepth 1 -type d -name 'vprerex*')
PREREX=$(shell find . -maxdepth 1 -type d -name 'prerex*')

%:
	dh $@

override_dh_auto_configure:
	cd $(PREREX) && ./configure --prefix=/usr
	cd $(VPREREX) && qmake .

override_dh_auto_build:
	cd $(PREREX) && $(MAKE)
	cd $(VPREREX) && $(MAKE)

override_dh_auto_install:
	cd $(PREREX) && $(MAKE) install DESTDIR=$(CURDIR)/debian/prerex/
	# No install target for vprerex
	install -m 755 $(CURDIR)/$(VPREREX)/vprerex \
	    $(CURDIR)/debian/vprerex/usr/bin
	dh_auto_install

override_dh_auto_clean:
	# It may be that we've already cleaned, in which case the Makefiles
	# won't exist. Ignore errors.
	- cd $(PREREX) && $(MAKE) clean
	- cd $(VPREREX) && $(MAKE) clean
	# Files that clean misses
	rm -fr prerex-6.2/Makefile \
	    prerex-6.2/config.h \
	    prerex-6.2/config.log \
	    prerex-6.2/config.status \
	    prerex-6.2/src/.deps/ \
	    prerex-6.2/src/Makefile \
	    prerex-6.2/stamp-h1 \
	    vprerex-6.2/Makefile \
	    vprerex-6.2/vprerex
	dh_auto_clean

## prerex 6.2-6.3.1

=== debian/changelog ===
prerex (6.2-6.3.1-2) unstable; urgency=low

  * Use dh_installtex instead of manually calling mktexslr (Closes: #660454)
    - Add required dependency on tex-common

 -- Ryan Kavanagh <rak@debian.org>  Tue, 21 Feb 2012 21:22:14 -0500

prerex (6.2-6.3.1-1) unstable; urgency=low

  * New upstream release (prerex version 6.2, vprerex version 6.3.1)
  * Update vprerex long description at Bob's request
  * Don't hardcode paths in clean target
  * Include the packaging's license details
  * Add missing Depends on xterm to vprerex
  * Added menu and .desktop files

 -- Ryan Kavanagh <rak@debian.org>  Tue, 03 Jan 2012 13:48:28 -0500

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,12 @@
 Source: prerex
 Section: tex
 Priority: optional
-Maintainer: Ryan Kavanagh <ryanakca@kubuntu.org>
+Maintainer: Ryan Kavanagh <rak@debian.org>
 Build-Depends: debhelper (>= 8.0.0),
  libpoppler-qt4-dev,
  libncurses-dev,
- libreadline-dev
+ libreadline-dev,
+ tex-common
 Standards-Version: 3.9.2
 Homepage: http://www.ctan.org/tex-archive/graphics/prerex
 Vcs-Git: git://git.debian.org/collab-maint/prerex.git
@@ -38,11 +39,12 @@
 Package: vprerex
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends},
- prerex
+ prerex,
+ xterm
 Description: Qt interface to prerex, a course prerequisite chart editor
  vprerex provides a Qt interface to prerex by integrating the prerex editor
- with a PDF viewer. This allows conveying coordinates of course boxes and
- arrows back to prerex through the use of the clipboard.
+ with a PDF viewer. This allows conveying coordinates of course boxes, arrows
+ and background points back to prerex through the use of the clipboard.
  .
  prerex is an editor for creating esthetically pleasing course prerequisite
  charts using the TikZ LaTeX package.

=== debian/rules ===
--- 
+++ 
@@ -25,6 +25,7 @@
 	install -m 755 $(CURDIR)/$(VPREREX)/vprerex \
 	    $(CURDIR)/debian/vprerex/usr/bin
 	dh_auto_install
+	dh_installtex
 
 override_dh_auto_clean:
 	# It may be that we've already cleaned, in which case the Makefiles
@@ -32,13 +33,13 @@
 	- cd $(PREREX) && $(MAKE) clean
 	- cd $(VPREREX) && $(MAKE) clean
 	# Files that clean misses
-	rm -fr prerex-6.2/Makefile \
-	    prerex-6.2/config.h \
-	    prerex-6.2/config.log \
-	    prerex-6.2/config.status \
-	    prerex-6.2/src/.deps/ \
-	    prerex-6.2/src/Makefile \
-	    prerex-6.2/stamp-h1 \
-	    vprerex-6.2/Makefile \
-	    vprerex-6.2/vprerex
+	rm -fr $(PREREX)/Makefile \
+	    $(PREREX)/config.h \
+	    $(PREREX)/config.log \
+	    $(PREREX)/config.status \
+	    $(PREREX)/src/.deps/ \
+	    $(PREREX)/src/Makefile \
+	    $(PREREX)/stamp-h1 \
+	    $(VPREREX)/Makefile \
+	    $(VPREREX)/vprerex
 	dh_auto_clean

## prerex 6.4.0

=== debian/changelog ===
prerex (6.4.0-3) unstable; urgency=low

  * Explicitly Build-Depend on pkg-config (Closes: #675494)
  * Bump debhelper version to >= 9.0.0 and compat level to 9, and
    build-depend on hardening-wrapper for build-hardening magic

 -- Ryan Kavanagh <rak@debian.org>  Tue, 12 Jun 2012 08:43:33 -0400

prerex (6.4.0-2) unstable; urgency=low

  * Use system libedit instead of bundled libedit, no longer install bundled
    libedit. 01_libedit.diff (Closes: #670893)
    + We need dh-autoreconf to refresh after patching autotools stuff
    + Build-Depend on libedit-dev now, not libreadline-dev
  * Added missing copyright holders to copyright file

 -- Ryan Kavanagh <rak@debian.org>  Tue, 08 May 2012 09:30:18 -0400

prerex (6.4.0-1) unstable; urgency=low

  * Imported Upstream version 6.4.0 (prerex and vprerex both version 6.4.0)
    - Fixes FTBFS with GCC-4.7 (Closes: #667331)
    - Drop 01_whatis_prerex_5.diff, applied upstream
  * Install upstream changelogs
  * Bump standards version to 3.9.3

 -- Ryan Kavanagh <rak@debian.org>  Fri, 27 Apr 2012 11:02:34 -0400

=== debian/control ===
--- 
+++ 
@@ -2,12 +2,15 @@
 Section: tex
 Priority: optional
 Maintainer: Ryan Kavanagh <rak@debian.org>
-Build-Depends: debhelper (>= 8.0.0),
+Build-Depends: debhelper (>= 9.0.0),
+ dh-autoreconf,
+ hardening-wrapper,
  libpoppler-qt4-dev,
  libncurses-dev,
- libreadline-dev,
+ libedit-dev,
+ pkg-config,
  tex-common
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: http://www.ctan.org/tex-archive/graphics/prerex
 Vcs-Git: git://git.debian.org/collab-maint/prerex.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/prerex.git;a=summary

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,8 @@
 #!/usr/bin/make -f
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
+
+export DEB_BUILD_HARDENING=1
 
 # This has to be exported to make some magic below work.
 export DH_OPTIONS
@@ -12,6 +14,8 @@
 	dh $@
 
 override_dh_auto_configure:
+	echo "$(PREREX)" > debian/autoreconf
+	dh_autoreconf
 	cd $(PREREX) && ./configure --prefix=/usr
 	cd $(VPREREX) && qmake .
 
@@ -24,13 +28,16 @@
 	# No install target for vprerex
 	install -m 755 $(CURDIR)/$(VPREREX)/vprerex \
 	    $(CURDIR)/debian/vprerex/usr/bin
+	dh_installchangelogs -pprerex $(PREREX)/ChangeLog
+	dh_installchangelogs -pvprerex $(VPREREX)/ChangeLog
 	dh_auto_install
 	dh_installtex
 
 override_dh_auto_clean:
 	# It may be that we've already cleaned, in which case the Makefiles
 	# won't exist. Ignore errors.
-	- cd $(PREREX) && $(MAKE) clean
+	- cd $(PREREX) && $(MAKE) clean && dh_autoreconf_clean
+	rm -f debian/autoreconf
 	- cd $(VPREREX) && $(MAKE) clean
 	# Files that clean misses
 	rm -fr $(PREREX)/Makefile \

=== debian/watch ===
version=3
ftp://linus.cs.queensu.ca/prerex/prerex-(.*)\.tar\.gz

## prerex 6.5.3

=== debian/changelog ===
prerex (6.5.3-1) unstable; urgency=medium

  * New upstream release
  * Updated 01_libedit.diff to match current upstream
  * Update copyright years and delete old copyright blurb about embedded
    libedit
  * Bump standards version
  * Update Vcs-* fields to canonical locations
  * Drop hardening-wrapper and switch to dpkg-buildflags via dpkg-dev;
    hardening-wrapper is obsolete
  * Tidy up debian/rules and explicitly call qmake-qt4 to avoid problems with
    qmake defaulting to qmake-qt5
  * Add Keywords entries to desktop files

 -- Ryan Kavanagh <rak@debian.org>  Wed, 16 Jul 2014 19:21:31 +0200

=== debian/control ===
--- 
+++ 
@@ -2,18 +2,19 @@
 Section: tex
 Priority: optional
 Maintainer: Ryan Kavanagh <rak@debian.org>
-Build-Depends: debhelper (>= 9.0.0),
- dh-autoreconf,
- hardening-wrapper,
- libpoppler-qt4-dev,
- libncurses-dev,
- libedit-dev,
- pkg-config,
- tex-common
-Standards-Version: 3.9.3
+Build-Depends: debhelper (>= 9.0.0)
+ , dpkg-dev (>= 1.16.1~)
+ , dh-autoreconf
+ , libpoppler-qt4-dev
+ , libncurses-dev
+ , libedit-dev
+ , libqt4-dev
+ , pkg-config
+ , tex-common
+Standards-Version: 3.9.5
 Homepage: http://www.ctan.org/tex-archive/graphics/prerex
-Vcs-Git: git://git.debian.org/collab-maint/prerex.git
-Vcs-Browser: http://git.debian.org/?p=collab-maint/prerex.git;a=summary
+Vcs-Git: git://anonscm.debian.org/collab-maint/prerex.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/prerex.git;a=summary
 
 Package: prerex
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

VPREREX=$(shell find . -maxdepth 1 -type d -name 'vprerex*')
PREREX=$(shell find . -maxdepth 1 -type d -name 'prerex*')

%:
	dh $@ --with autoreconf

override_dh_autoreconf:
	echo "$(PREREX)" > debian/autoreconf
	dh_autoreconf

override_dh_auto_configure:
	dh_auto_configure -D$(PREREX)
	dh_auto_configure -D$(VPREREX) -Sqmake_qt4

override_dh_auto_build:
	dh_auto_build -D$(PREREX)
	dh_auto_build -D$(VPREREX)

override_dh_auto_install:
	dh_auto_install -D$(PREREX) -- DESTDIR=$(CURDIR)/debian/prerex/
	# No install target for vprerex
	install -m 755 $(CURDIR)/$(VPREREX)/vprerex \
	    $(CURDIR)/debian/vprerex/usr/bin
	dh_auto_install

override_dh_installchangelogs:
	dh_installchangelogs -pprerex $(PREREX)/ChangeLog
	dh_installchangelogs -pvprerex $(VPREREX)/ChangeLog

override_dh_autoreconf_clean:
	dh_autoreconf_clean
	rm -f debian/autoreconf

override_dh_auto_clean:
	# Files that clean misses
	rm -fr $(PREREX)/.deps/
	dh_auto_clean -D$(PREREX)
	# This might fail because Makefile might not yet exist. Ignore errors:
	- dh_auto_clean -D$(VPREREX)
	dh_auto_clean

## prerex 6.5.4

=== debian/changelog ===
prerex (6.5.4-1) unstable; urgency=medium

  * New upstream release
    + We now only provide the readline utility. The vprerex binary package has
      been forked off to its own source package, and texlive-pictures is now
      providing our LaTeX package and documentation.
    + Drop 01_libedit.diff: applied upstream
  * Updated watch file to point to CTAN
  * Added a gbp.conf
  * Prerex only suggests vprerex now (Closes: #768074)
  * Bump standards version to 4.1.3
  * Dropped menu files
  * Make Vcs-* URLs secure
  * Updated copyright file
  * Drop MimeType field from desktop file: it makes no sense in our context
  * Override desktop-entry-lacks-icon-entry for prerex: it has no icon
  * Completely turn on hardening flags
  * Use debhelper >= 11, compat to 11, and drop dependency on dh-autoreconf,
    since it is automatically run under compat level >= 10.

 -- Ryan Kavanagh <rak@debian.org>  Tue, 02 Jan 2018 12:23:39 -0500

=== debian/control ===
Source: prerex
Section: tex
Priority: optional
Maintainer: Ryan Kavanagh <rak@debian.org>
Build-Depends: debhelper (>= 11)
 , dpkg-dev (>= 1.16.1~)
 , libncurses-dev
 , libedit-dev
 , pkg-config
Standards-Version: 4.1.3
Homepage: http://www.ctan.org/tex-archive/graphics/prerex
Vcs-Git: https://anonscm.debian.org/git/collab-maint/prerex.git
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/prerex.git/

Package: prerex
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
 texlive-pictures (>> 2017.20171128-1)
Suggests: vprerex
Description: course prerequisite chart editor for LaTeX/TikZ
 prerex is an editor for creating esthetically pleasing course prerequisite
 charts using the TikZ LaTeX package.
 .
 The editor supports add, remove, cut-and-paste, and edit operations on
 diagram elements, and shifts of a list of specified elements or the
 entire diagram. The edited diagram may be saved, re-processed, and viewed in
 a PDF viewer, without exiting the editor.
 .
 Course prerequisite charts allow students to easily determine which
 prerequisites, corequisites and recommended prerequisites they need for a
 given course and their time slots. Course prerequisite charts also highlight
 the courses required by a degree.
 .
 prerex is used by departments in several universities, including Queen's
 University and Suffolk University.

=== debian/rules ===
#!/usr/bin/make -f
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

%:
	dh $@

override_dh_auto_install:
	dh_auto_install -- DESTDIR=$(CURDIR)/debian/prerex/

override_dh_installchangelogs:
	dh_installchangelogs ChangeLog

## prerex 6.8.0

=== debian/changelog ===
prerex (6.8.0-2) unstable; urgency=medium

  * Update debian/watch file to version 5
  * pkg-config has been renamed to pkgconf; update build-dependency name
    accordingly
  * Drop "Priority: optional" that is now discouraged by policy
  * Adopt a DEP-14 branch naming scheme
  * Transition copyright file to DEP-5 format
  * Bump standards version to 4.7.3
  * Lintian tags got reformatted. Update overrides

 -- Ryan Kavanagh <rak@debian.org>  Fri, 30 Jan 2026 23:12:58 -0500

prerex (6.8.0-1) unstable; urgency=medium

  * New upstream version 6.8.0
  * Specify that we use the prerex branch in Vcs-Git
  * Set Vcs-* to point to salsa
  * Update copyright years
  * Set compat to 13
  * Bump standards version to 4.5.0

 -- Ryan Kavanagh <rak@debian.org>  Sun, 17 May 2020 16:32:53 -0400

=== debian/control ===
--- 
+++ 
@@ -1,22 +1,25 @@
 Source: prerex
 Section: tex
-Priority: optional
 Maintainer: Ryan Kavanagh <rak@debian.org>
-Build-Depends: debhelper (>= 11)
- , dpkg-dev (>= 1.16.1~)
- , libncurses-dev
- , libedit-dev
- , pkg-config
-Standards-Version: 4.1.3
+Build-Depends:
+ debhelper-compat (= 13),
+ dpkg-dev (>= 1.16.1~),
+ libedit-dev,
+ libncurses-dev,
+ pkgconf,
+Standards-Version: 4.7.3
 Homepage: http://www.ctan.org/tex-archive/graphics/prerex
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/prerex.git
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/prerex.git/
+Vcs-Git: https://salsa.debian.org/debian/prerex.git
+Vcs-Browser: https://salsa.debian.org/debian/prerex
 
 Package: prerex
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends},
- texlive-pictures (>> 2017.20171128-1)
-Suggests: vprerex
+Depends:
+ texlive-pictures (>> 2017.20171128-1),
+ ${misc:Depends},
+ ${shlibs:Depends},
+Suggests:
+ vprerex,
 Description: course prerequisite chart editor for LaTeX/TikZ
  prerex is an editor for creating esthetically pleasing course prerequisite
  charts using the TikZ LaTeX package.

=== debian/watch ===
Version: 5

Source: https://mirrors.ctan.org/graphics/prerex/doc/
Matching-Pattern: prerex-(.*)\.tar\.gz
